summaryrefslogtreecommitdiffstats
path: root/.local/bin/status
diff options
context:
space:
mode:
Diffstat (limited to '.local/bin/status')
-rwxr-xr-x.local/bin/status/sb-net7
1 files changed, 4 insertions, 3 deletions
diff --git a/.local/bin/status/sb-net b/.local/bin/status/sb-net
index 97283af..2cc07da 100755
--- a/.local/bin/status/sb-net
+++ b/.local/bin/status/sb-net
@@ -1,8 +1,9 @@
#!/bin/sh
-if ifconfig | grep -F ' active' >/dev/null; then
- echo " "
+# if ifconfig | grep -F ' active' >/dev/null; then
+if ! ping -q -c1 -t1 8.8.8.8 >/dev/null 2>&1; then
+ echo " "
return
fi
-echo " "
+echo " "